download-stable.html 3.71 KB
Newer Older
1
<div class="dynare_main">
Houtan Bastani's avatar
Houtan Bastani committed
2
3

  <input class="dynare_input" id="stable_tab1" type="radio" name="stable_tabs">
4
  <label class="dynare_label" for="stable_tab1">Windows</label>
Houtan Bastani's avatar
Houtan Bastani committed
5
6

  <input class="dynare_input" id="stable_tab2" type="radio" name="stable_tabs">
7
  <label class="dynare_label" for="stable_tab2">macOS</label>
Houtan Bastani's avatar
Houtan Bastani committed
8
9

  <input class="dynare_input" id="stable_tab3" type="radio" name="stable_tabs">
10
  <label class="dynare_label" for="stable_tab3">GNU/Linux</label>
Houtan Bastani's avatar
Houtan Bastani committed
11
12

  <input class="dynare_input" id="stable_tab4" type="radio" name="stable_tabs">
13
  <label class="dynare_label" for="stable_tab4">Source</label>
Houtan Bastani's avatar
Houtan Bastani committed
14
15
16

  <section class="dynare_section" id="stable_content1">
    <p>
17
18
19
20
      Compatible with Windows (7, 8.1, 10), MATLAB (R2009b and later) and
      GNU Octave (5.2.0 only,
      <a href="https://ftp.gnu.org/gnu/octave/windows/octave-5.2.0_1-w64-installer.exe">64-bit</a>
      or <a href="https://ftp.gnu.org/gnu/octave/windows/octave-5.2.0_1-w32-installer.exe">32-bit</a>)
Houtan Bastani's avatar
Houtan Bastani committed
21
    </p>
Sébastien Villemot's avatar
Sébastien Villemot committed
22
    <p>Available as an executable installer, and as 7z and zip archives.</p>
Houtan Bastani's avatar
Houtan Bastani committed
23
    <p class="stable">
24
      <i class="fas fa-file-download"></i>
Houtan Bastani's avatar
Houtan Bastani committed
25
      {% include release/download-release-windows.html %}
Houtan Bastani's avatar
Houtan Bastani committed
26
    </p>
Sébastien Villemot's avatar
Sébastien Villemot committed
27
28
29
30
    <p class="stable">
      <i class="fas fa-file-download"></i>
      {% include release/download-release-windows-7z.html %}
    </p>
Houtan Bastani's avatar
Houtan Bastani committed
31
    <p class="stable">
32
      <i class="fas fa-file-download"></i>
Houtan Bastani's avatar
Houtan Bastani committed
33
      {% include release/download-release-windows-zip.html %}
Houtan Bastani's avatar
Houtan Bastani committed
34
35
36
37
38
39
    </p>
  </section>

  <section class="dynare_section" id="stable_content2">
    <p>
      Compatible with macOS (10.11 and later, earlier versions may work but
40
41
42
43
44
45
      have not been tested) and any 64-bit MATLAB. <b>NB</b>: This package is
      unsigned; to run it, you need to right click on it and select "Open" from
      the menu that pops up. If you want to use Dynare with Octave, do not
      download this package, but rather use the one from Homebrew (see
      the <a href="/resources/quick_start">quick start guide</a> for
      instructions).
Houtan Bastani's avatar
Houtan Bastani committed
46
47
    </p>
    <p class="stable">
48
      <i class="fas fa-file-download"></i>
49
      {% include release/download-release-macos.html %}
Houtan Bastani's avatar
Houtan Bastani committed
50
51
52
53
54
    </p>
  </section>

  <section class="dynare_section" id="stable_content3">
    <p>
55
56
57
58
59
60
61
62
      Several GNU/Linux distributions have official packages for Dynare:
      <ul>
        <li><a href="https://packages.debian.org/sid/dynare">Debian</a></li>
        <li><a href="https://launchpad.net/ubuntu/+source/dynare">Ubuntu</a></li>
        <li><a href="https://community.linuxmint.com/software/view/dynare">Linux Mint</a></li>
        <li><a href="https://aur.archlinux.org/packages/dynare/">Arch Linux</a></li>
      </ul>
      Note that on Debian, Ubuntu and Linux Mint, you also need to install the
63
      <tt>dynare-matlab</tt> package if you want MATLAB support.
64
65
66

      Official packages may not correspond to the latest version of Dynare,
      depending on the release schedule of the distributions.
Houtan Bastani's avatar
Houtan Bastani committed
67
68
    </p>
    <p>
69
70
      If your GNU/Linux distribution does not include a Dynare package, or if
      it does but the package is too old, you need to recompile Dynare from
71
      source, as explained in the <tt>README.md</tt> file.
Houtan Bastani's avatar
Houtan Bastani committed
72
73
74
75
76
77
78
79
    </p>
  </section>

  <section class="dynare_section" id="stable_content4">
    <p>
      Source code, not needed by most users.
    </p>
    <p class="stable">
80
      <i class="fas fa-file-download"></i>
Houtan Bastani's avatar
Houtan Bastani committed
81
      {% include release/download-release-source.html %}
Houtan Bastani's avatar
Houtan Bastani committed
82
83
    </p>
  </section>
84
</div>
Houtan Bastani's avatar
Houtan Bastani committed
85
86
87
88
89
90
91
92
93
94

<script>
  if (navigator.appVersion.indexOf("Win")!=-1) {
      document.getElementById('stable_tab1').checked = true;
  } else if (navigator.appVersion.indexOf("Mac")!=-1) {
      document.getElementById('stable_tab2').checked = true;
  } else {
      document.getElementById('stable_tab3').checked = true;
  }
</script>